Summary:	Tools for Managing Linux CIFS Client Filesystems
Name:		cifs-utils
Version:	5.6
License:	GPLv3
Group:		Networking/Other
Release:	1
URL:		http://www.samba.org/linux-cifs/cifs-utils/
Source0:	ftp://ftp.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2.asc
BuildRequires:	autoconf automake libtool
BuildRequires:	pkgconfig(talloc)
BuildRequires:	pkgconfig(libcap-ng)
BuildRequires:	keyutils-devel
BuildRequires:	krb5-devel
BuildRequires:	acl-devel
BuildRequires:	pkgconfig(wbclient)
Suggests:	sudo nss_wins
Provides:	mount-cifs = %{version}
Obsoletes:	mount-cifs <= 4.0
Requires:       keyutils

Patch0:		FORTIFY_SOURCE_ftrunkate.patch

%description
Tools for Managing Linux CIFS Client Filesystems.

%prep

%setup -q
#%patch0 -p1

# remove -Werror
perl -pi -e "s|-Werror||g" Makefile*

%build
%serverbuild
rm -rf autom4te.cache
autoreconf -fi
%configure2_5x \
    --sbindir=/sbin

%make

%install
rm -rf %{buildroot}

%makeinstall_std
mkdir %{buildroot}/bin
ln -s ../sbin/mount.cifs %{buildroot}/bin/mount.cifs
# Hack for smb4k
ln -s umount %{buildroot}/bin/umount.cifs

mkdir -p %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 contrib/request-key.d/cifs.idmap.conf %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 contrib/request-key.d/cifs.spnego.conf %{buildroot}%{_sysconfdir}/request-key.d
cp contrib/request-key.d/README contrib/request-key.d/README.keyutils-1.5.5

%files
%doc AUTHORS README doc/linux-cifs-client-guide.odt contrib/request-key.d/README.keyutils-1.5.5
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.idmap.conf
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.spnego.conf
%{_bindir}/cifscreds
%{_bindir}/getcifsacl
%{_bindir}/setcifsacl

/sbin/cifs.upcall
/sbin/mount.cifs
/sbin/cifs.idmap
/bin/mount.cifs
/bin/umount.cifs

%{_mandir}/man8/cifs.upcall.8*
%{_mandir}/man8/mount.cifs.8*
%{_mandir}/man8/cifs.idmap.8.*
%{_mandir}/man1/cifscreds.1*
%{_mandir}/man1/getcifsacl.1.*
%{_mandir}/man1/setcifsacl.1.*


%changelog
* Mon Sep 24 2012 Alexander Khrukin <akhrukin@mandriva.org> 5.6-1
+ Revision: 817459
- version update 5.6

* Fri Jun 29 2012 Alexander Khrukin <akhrukin@mandriva.org> 5.5-1
+ Revision: 807500
- version update 5.5

* Fri May 04 2012 Oden Eriksson <oeriksson@mandriva.com> 5.4-1
+ Revision: 796162
- fix build

  + Alexander Khrukin <akhrukin@mandriva.org>
    - BR:pkgconfig(wbclient)
    - BR:acl-devel
    - version update 5.4

* Wed Feb 01 2012 Oden Eriksson <oeriksson@mandriva.com> 5.3-1
+ Revision: 770404
- whoops!
- 5.3
- drop the upstream applied patch

* Fri Dec 16 2011 Oden Eriksson <oeriksson@mandriva.com> 5.2-2
+ Revision: 741729
- fix the path
- sync with fedora
- fix deps

* Fri Dec 16 2011 Oden Eriksson <oeriksson@mandriva.com> 5.2-1
+ Revision: 741717
- 5.2
- various fixes

* Tue Oct 11 2011 Oden Eriksson <oeriksson@mandriva.com> 5.1-2
+ Revision: 704317
- whoops! use libcap-ng-devel here...

* Tue Oct 11 2011 Oden Eriksson <oeriksson@mandriva.com> 5.1-1
+ Revision: 704250
- 5.1

* Wed May 04 2011 Buchan Milne <bgmilne@mandriva.org> 4.9-1
+ Revision: 666195
- update to new version 4.9

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 4.8.1-2
+ Revision: 663375
- mass rebuild

* Tue Feb 22 2011 Buchan Milne <bgmilne@mandriva.org> 4.8.1-1
+ Revision: 639375
- update to new version 4.8.1

* Thu Oct 21 2010 Buchan Milne <bgmilne@mandriva.org> 4.7-1mdv2011.0
+ Revision: 587138
- update to new version 4.7

* Mon Aug 09 2010 Buchan Milne <bgmilne@mandriva.org> 4.6-1mdv2011.0
+ Revision: 567890
- update to new version 4.6

* Tue May 18 2010 Buchan Milne <bgmilne@mandriva.org> 4.4-2mdv2010.1
+ Revision: 545280
- Provide additional symlinks required if we are to replace mount-cifs
- Provide/obsolete mount-cifs (samba 3.5 packages allow this, 3.4 not currently)
- Suggest sudo (for use with e.g. smb4k) and nss_wins (to provide name resolution)

* Thu May 06 2010 Buchan Milne <bgmilne@mandriva.org> 4.4-1mdv2010.1
+ Revision: 543019
- New version 4.4

* Wed Apr 14 2010 Buchan Milne <bgmilne@mandriva.org> 4.3-2mdv2010.1
+ Revision: 534798
- BR cap-devel

* Tue Apr 13 2010 Buchan Milne <bgmilne@mandriva.org> 4.3-1mdv2010.1
+ Revision: 534178
- update to new version 4.3

* Tue Apr 06 2010 Buchan Milne <bgmilne@mandriva.org> 4.2-1mdv2010.1
+ Revision: 532128
- update to new version 4.2

* Thu Apr 01 2010 Buchan Milne <bgmilne@mandriva.org> 4.1-1mdv2010.1
+ Revision: 530603
- update to new version 4.1

* Fri Mar 12 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0-0.1mdv2010.1
+ Revision: 518388
- fix deps (krb5-devel)
- import cifs-utils


* Fri Mar 12 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0-0.1mdv2010.0
- initial Mandriva package
